SSIServletExternalResolver.ServletContextAndPath (Apache Tomcat 11.0.24 API Documentation)
Description: declaration: package: org.apache.catalina.ssi, class: SSIServletExternalResolver, record: ServletContextAndPath

# Record Class SSIServletExternalResolver.ServletContextAndPath

java.lang.Object
java.lang.Record
org.apache.catalina.ssi.SSIServletExternalResolver.ServletContextAndPath

Record Components:
  `servletContext` - the servlet context
  `path` - the associated path

Enclosing class:
  `SSIServletExternalResolver`

protected static record SSIServletExternalResolver.ServletContextAndPath(ServletContext servletContext, String path) extends Record
Holds a servlet context and an associated path.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ServletContextAndPath(ServletContext servletContext, String path)`
  Creates an instance of a `ServletContextAndPath` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `String`
  `getPath()`
  Get the path.
  `ServletContext`
  `getServletContext()`
  Get the servlet context.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `path()`
  Returns the value of the `path` record component.
  `ServletContext`
  `servletContext()`
  Returns the value of the `servletContext` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ServletContextAndPath

    protected ServletContextAndPath(ServletContext servletContext, String path)
    Creates an instance of a `ServletContextAndPath` record class.
    Parameters:
      `servletContext` - the value for the `servletContext` record component
      `path` - the value for the `path` record component

- ## Method Details

  - ### getServletContext

    public ServletContext getServletContext()
    Get the servlet context.
    Returns:
      the servlet context

  - ### getPath

    public String getPath()
    Get the path.
    Returns:
      the path

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### servletContext

    public ServletContext servletContext()
    Returns the value of the `servletContext` record component.
    Returns:
      the value of the `servletContext` record component

  - ### path

    public String path()
    Returns the value of the `path` record component.
    Returns:
      the value of the `path` record component